gfs=25;
lfs=30;
spac=20;
lwid=2.0;
res=100;
subplot(1,4,1);
load('fve1') 
gslices =gs;
slice(fs, vs, gs, abs(Ts1-Ts2),[],[], gslices);
shading flat;
ylabel('pv','Position',[-0.1 0.13 0],'fontname','times','Fontsize',lfs);
xlabel('pf','Position',[0.32 -0.013 0.0],'fontname','times','Fontsize',lfs);
zlabel('pg','fontname','times','Fontsize',lfs);
axis([0.1 0.5 0.04 0.2 0 0.3])
xticks([0.1,0.3,0.5]);
yticks([0,0.1,0.2]);
zticks([0,0.1,0.2,0.3]);
hold on
ws=linspace(vs(1),vs(res),spac);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle','--','Linewidth',lwid);
grid off
set(gca,'fontname','times');
set(get(gca,'zlabel'),'rotation',0);
set(gca,'Fontsize',gfs);
view([-1.0 -3.5 1.2])
subplot(1,4,2);
load('fve2') 
gslices =gs;
slice(fs, vs, gs, abs(Ts1-Ts2),[],[], gslices);
shading flat;
xlabel('pf','Position',[0.32 -0.013 0.0],'fontname','times','Fontsize',lfs);
axis([0.1 0.5 0.04 0.2 0 0.3])
xticks([0.1,0.3,0.5]);
yticks([0,0.1,0.2]);
zticks([0,0.1,0.2,0.3]);
hold on
plot3(2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle','--','Linewidth',lwid);
grid off
set(gca,'fontname','times');
set(get(gca,'zlabel'),'rotation',0);
set(gca,'Fontsize',gfs);
view([-1.0 -3.5 1.2])
subplot(1,4,3);
load('fve3') 
gslices =gs;
slice(fs, vs, gs, abs(Ts1-Ts2),[],[], gslices);
shading flat;
xlabel('pf','Position',[0.32 -0.013 0.0],'fontname','times','Fontsize',lfs);
axis([0.1 0.5 0.04 0.2 0 0.3])
xticks([0.1,0.3,0.5]);
yticks([0,0.1,0.2]);
zticks([0,0.1,0.2,0.3]);
hold on
plot3(2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.0,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.1,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.2,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.3,'Color','c','Linestyle','--','Linewidth',lwid);
plot3(1-2*ws.^2/params(1),ws,ones(spac)*0.4,'Color','c','Linestyle','--','Linewidth',lwid);
grid off
set(gca,'fontname','times');
set(get(gca,'zlabel'),'rotation',0);
set(gca,'Fontsize',gfs);
view([-1.0 -3.5 1.2])

colormap hot;
hp4=get(subplot(1,4,4),'Position');
cb = colorbar('Position',[hp4(1) hp4(2) hp4(3)*0.2 hp4(4)*1]);
caxis([0,1]);
set(gca,'fontname','times');
hL=ylabel(cb,'pt','fontname','times');
set(cb,'Fontsize',gfs);
set(hL,'Rotation',0);
set(hL,'Position',[4.0,0.55]);
annotation('textbox',[0.17,0.83,0.3,0.15],'FontSize',lfs,'Color','black','EdgeColor','none','String',{'(a)'},'fontname','times');
annotation('textbox',[0.375,0.83,0.3,0.15],'FontSize',lfs,'Color','black','EdgeColor','none','String',{'(b)'},'fontname','times');
annotation('textbox',[0.58,0.83,0.3,0.15],'FontSize',lfs,'Color','black','EdgeColor','none','String',{'(c)'},'fontname','times');

set(gcf,'renderer','Painters')
